using UnityEngine;
using System.Collections;

public class TugboatBox : Hazard
{
	void Start ()
	{
		rigidbody.AddForce( Vector3.up * 50 );
		rigidbody.AddForce( Vector3.right * 1000 );
		rigidbody.AddForce( Vector3.back * 650 );
	}

	protected override void OnCollide( Collider _collider )
	{
		if ( _collider.name.Contains( "obj_water_plane_" ) )
		{
			rigidbody.useGravity	= false;
			rigidbody.isKinematic	= true;
		}
	}

	protected override void Follow()
	{
	}
}
